<h2>Hello <%= @user.firstName <> " " <> @user.lastName %></h2>
<ul>
  <li>
    <strong>Email:</strong>
    <%= @user.email %>
  </li>

  <li>
    <strong>Firstname:</strong>
    <%= @user.firstName %>
  </li>

  <li>
    <strong>Lastname:</strong>
    <%= @user.lastName %>
  </li>
</ul>


<h3>Smart devices</h3>
<table class="table">
  <thead>
  <tr>
    <th>Name</th>
    <th>Description</th>
    <th>Paired up</th>
    <th>Active</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for smart_device <- @user.smart_devices do %>
  <tr>
    <td><%= smart_device.name %></td>
    <td><%= smart_device.description %></td>
    <td><%= yesNo smart_device.pairedUp %></td>
    <td><%= yesNo smart_device.active %></td>

    <td class="text-right">
      <%= link "Show", to: user_smart_device_path(@conn, :show, @user, smart_device), class: "btn btn-default btn-xs" %>
      <%= link "Edit", to: user_smart_device_path(@conn, :edit, @user, smart_device), class: "btn btn-default btn-xs" %>
    </td>
  </tr>
  <% end %>
  </tbody>
</table>
<%= link "Add smart device", to: user_smart_device_path(@conn, :new, @user) %>



<h3>Devices</h3>
<table class="table">
  <thead>
  <tr>
    <th>Name</th>
    <th>Description</th>
    <th>Paired up</th>
    <th>Active</th>
    <th>Value</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for device <- @user.devices do %>
  <tr>
    <td><%= device.name %></td>
    <td><%= device.description %></td>
    <td><%= yesNo device.pairedUp %></td>
    <td><%= yesNo device.active %></td>
    <td><%= getDeviceValueByDevice device.id %></td>

    <td class="text-right">
      <%= link "Show", to: user_device_path(@conn, :show, @user, device), class: "btn btn-default btn-xs" %>
      <%= link "Edit", to: user_device_path(@conn, :edit, @user, device), class: "btn btn-default btn-xs" %>
    </td>
  </tr>
  <% end %>
  </tbody>
</table>
<%= link "Add device", to: user_device_path(@conn, :new, @user) %>
